<?php

namespace Src\Modules\JsonObjects\Interfaces\Infrastructure;

use Src\Modules\JsonObjects\Interfaces\Dto\Dir\IPersist;

interface IDirsPersistLayer
{
    public function setTableName(string $tableName);
    public function newDir(IPersist $dto): bool;
    public function updateDir(IPersist $dto): int;
    public function deleteDirs(array $ids): int;
}
